Не удалось запустить «sdl-config»

Я новичок в Pi и Linux, и я использую Pi Zero W с новой версией Raspbian. Я пытаюсь установить PyGame на Pi, чтобы я мог работать над проектом. Когда я запускаю команду

[email protected]:~/pygame $ python setup.py

Это вывод:

No Arguments Given, Perform Default Install? [Y/n]y

WARNING, No "Setup" File Exists, Running "config.py"
Using UNIX configuration...

Hunting dependencies...
sh: 1: sdl-config: not found
sh: 1: sdl-config: not found
sh: 1: sdl-config: not found
WARNING: "sdl-config" failed!
Unable to run "sdl-config". Please make sure a development version of SDL is installed.

Что это означает в терминах Pi? Что я могу сделать, чтобы исправить это (некоторые команды терминала были бы замечательными, я не знаю, как использовать систему отслеживания пакетов Debian)

5 голосов | спросил meabster 28 PMpFri, 28 Apr 2017 17:14:08 +030014Friday 2017, 17:14:08

1 ответ


0
apt-file search "sdl-config"
emscripten: /usr/share/emscripten/system/bin/sdl-config
libsdl1.2-dev: /usr/bin/sdl-config
libsdl1.2-dev: /usr/share/man/man1/sdl-config.1.gz
lush-library: /usr/share/lush/packages/sdl/sdl-config.lsh

Если вы получаете более одного полученного пакета из своего поиска, вы можете проверить найденные пакеты для описания с помощью

apt-cache show <package-name>

libsdl1.2-dev был выбран пользователем, потому что emscripten и lush-library может вытащить несколько других пакетов из Java или Lisp. Thats много дополнительного материала, который вы никогда не сможете использовать на своем Pi.

ответил Andur 6 PM00000060000004431 2017, 18:33:44

Похожие вопросы

Популярные теги

security × 330linux × 316macos × 2827 × 268performance × 244command-line × 241sql-server × 235joomla-3.x × 222java × 189c++ × 186windows × 180cisco × 168bash × 158c# × 142gmail × 139arduino-uno × 139javascript × 134ssh × 133seo × 132mysql × 132